Bug 1021496 - Check app's status via oo-admin-ctl-app show DEBUG info.
Check app's status via oo-admin-ctl-app show DEBUG info.
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Pod (Show other bugs)
2.x
Unspecified Unspecified
medium Severity low
: ---
: ---
Assigned To: Ravi Sankar
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-21 08:07 EDT by Liang Xia
Modified: 2015-05-14 20:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-23 22:25:55 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Liang Xia 2013-10-21 08:07:08 EDT
Description of problem:
When check an app's status via oo-admin-ctl-app, it show following message:
DEBUG OUTPUT:
Cartridge  directory not found for haproxy-1.4Command return code: 1Cartridge  directory not found for haproxy-1.4Command return code: 1Cartridge  directory not found for haproxy-1.4Command return code: 1

Version-Release number of selected component (if applicable):
devenv_3921

How reproducible:
always

Steps to Reproduce:
1.create an scalable app and scale it up.
2.check its status via oo-admin-ctl-app.
  oo-admin-ctl-app -c status -a app_name -l user@redhat.com
3.

Actual results:
# oo-admin-ctl-app -l lxia@redhat.com -a eap6s -c status
DEBUG OUTPUT:
Cartridge  directory not found for haproxy-1.4Command return code: 1Cartridge  directory not found for haproxy-1.4Command return code: 1Cartridge  directory not found for haproxy-1.4Command return code: 1
Application is running
Application is running
Application is running
Application is running
HAProxy instance is running

Expected results:
Should not show the debug info.

Additional info:
Comment 1 Ravi Sankar 2013-11-08 19:45:47 EST
Fixed in https://github.com/openshift/origin-server/pull/4142
Comment 2 Liang Xia 2013-11-11 21:46:16 EST
Checked on devenv_4018, this can be reproduced.

#  oo-admin-ctl-app -c status -a phps -l lxia@redhat.com
DEBUG OUTPUT:
Cartridge directory not found for haproxy-1.4Command return code: 1Cartridge directory not found for haproxy-1.4Command return code: 1Cartridge directory not found for haproxy-1.4Command return code: 1
Application is running
%
Application is running
%
Application is running
%
Application is running
%
HAProxy instance is running
Comment 3 Liang Xia 2013-11-12 21:10:55 EST
Could you please help to merge the code so I can verify this bug. Thanks.
Comment 4 Ravi Sankar 2013-11-13 13:05:21 EST
Fixed in https://github.com/openshift/origin-server/pull/4159
Available on devenv_4026
Comment 5 Liang Xia 2013-11-13 21:11:08 EST
Verified on devenv_4030. Debug info is gone.

# oo-admin-ctl-app -c status -a phps -l lxia@redhat.com
Application is running
%
Application is running
%
Application is running
%
HAProxy instance is running

Note You need to log in before you can comment on or make changes to this bug.